### Method

# WPEPlatform Settings set_string

#### Declaration [src]

    gboolean
    wpe_settings_set_string (
      WPESettings* settings,
      const char* key,
      const char* value,
      WPESettingsSource source,
      GError** error
    )

#### Description [src]

This is a simple wrapper around `wpe_settings_set_value()` that also validates the type.

#### Parameters

`key`

  Type: `const char*`

  The key to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The value to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`source`

  Type: `WPESettingsSource`

  The source of the settings change.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.